Name:    solo3
Version: 20160613
Release: 2%{?dist}
Summary: Radial data viewer

License: BSD
URL:     https://www.eol.ucar.edu/software/solo3
Source0: https://www.eol.ucar.edu/system/files/software/solo3/all-oss/solo3-20160613.src_.tgz

BuildRequires: gcc-c++
BuildRequires: pkgconfig(gtkmm-2.4)

%description
C++ version of solo radial data viewer.
Includes xltrs3 data translation utility.

%package devel
Summary: Development files for %{name}
# no %%_isa, since base is binaries only, could also
# consider dropping this dependency -- rex
Requires: %{name} = %{version}-%{release}
%description devel
%{summary}.


%prep
%autosetup


%build
%configure \
  --disable-silent-rules \
  %{?rhel:--enable-centos}

make %{?_smp_mflags}


%install
%make_install


%files
%doc README.solo3.txt
%doc RELEASE_NOTES
%doc translate/README
%license COPYRIGHT.TXT
%{_bindir}/ddex3
%{_bindir}/nx_reblock3
%{_bindir}/solo3
%{_bindir}/xltrs3

%files devel
%{_includedir}/solo3/
%{_libdir}/libsolo_dap.a
%{_libdir}/libsolo_edit.a
%{_libdir}/libsolo_s3.a


%changelog
* Mon Jan 30 2017 Rex Dieter <rdieter@fedoraproject.org> - 20160613-2
- fix lengthy %%description

* Fri Jan 27 2017 Rex Dieter <rdieter@fedoraproject.org> 20160613-1
- solo3-20160313


